From: Ben Hutchings <ben@decadent.org.uk>
Date: Fri, 10 Aug 2018 07:00:07 +0100
Subject: slant: Shade filled squares

Bug-Debian: https://bugs.debian.org/419836
---
 slant.c | 6 +-----
 1 file changed, 1 insertion(+), 5 deletions(-)

diff --git a/slant.c b/slant.c
index 70b2585..218fa37 100644
--- a/slant.c
+++ b/slant.c
@@ -1795,11 +1795,7 @@ static float *game_colours(frontend *fe, int *ncolours)
     float *ret = snewn(3 * NCOLOURS, float);
 
     /* CURSOR colour is a background highlight. */
-    game_mkhighlight(fe, ret, COL_BACKGROUND, COL_CURSOR, -1);
-
-    ret[COL_FILLEDSQUARE * 3 + 0] = ret[COL_BACKGROUND * 3 + 0];
-    ret[COL_FILLEDSQUARE * 3 + 1] = ret[COL_BACKGROUND * 3 + 1];
-    ret[COL_FILLEDSQUARE * 3 + 2] = ret[COL_BACKGROUND * 3 + 2];
+    game_mkhighlight(fe, ret, COL_BACKGROUND, COL_CURSOR, COL_FILLEDSQUARE);
 
     ret[COL_GRID * 3 + 0] = ret[COL_BACKGROUND * 3 + 0] * 0.7F;
     ret[COL_GRID * 3 + 1] = ret[COL_BACKGROUND * 3 + 1] * 0.7F;
